Subject: [sidr] WG Last Call on -arch was Re: One and only one RPKI

From: "t.petch" <[email-masked]>
Date: Thu, 18 Nov 2010 17:49:14 +0100

Back in 2008, you explained to me what an RPKI was and implied that the words
you used here, or something like them, would go in the arch document.  Your
first two paragraphs would seem appropriate but I don't see them:-(

The start of 2.1 would seem a suitable place.

I note too that RPKI is never expanded, on first or subsequent use (or should
that be rPKI?).

Tom Petch

----- Original Message -----
From: "Stephen Kent" <[email-masked]>
To: "tom.petch" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, December 01, 2008 4:29 PM
Subject: Re: [sidr] One and only one RPKI

> At 7:40 PM +0100 11/26/08, tom.petch wrote:
> >piggybacking, a question that has been bugging me , what is an RPKI?
>
> The resource PKI is an instance of a PKI, devoted to issuing certs
> for the "resources" that are managed by IANA and the RIRs, i.e.,
> Internet address space and autonomous system numbers.
>
> >Is it an 'object class' of which the one discussed within sidr is an object
> >instance?
>
> There is only one resource allocation system for the Internet, so
> there is only one RPKI.
>
> >or is it something invented by sidr/RPSEC/IETF etc and does not
> >exist outside this?
>
> SIDR is creating the standards that define the RPKI, while IANA and
> the RIRs are implementing CAs, protocols, and repositories consistent
> with those standards.
>
> >I have been through the I-Ds and they all seem to take this knowledge
> >as a prerequisite but without any normative reference thereto.
>
> Sorry that we didn't do an adequate job there.  We will revisit the
> documents , primarily the architecture document, and see how we can
> improve the communication.
>
> >Perhaps draft-ietf-sidr-arch could contain an explanation (and an expansion
> >of  RPKI when first it appears:-).
>
> yes, it should!
>
> Steve

---

From: Stephen Kent <[email-masked]>
Date: Fri, 19 Nov 2010 03:33:17 -0500

>I note too that RPKI is never expanded, on first or subsequent use (or should

Tom,

We sort of expand the acronym in the doc title "Certificate Policy 
(CP) for the Resource PKI (RPKI)" and we expand PKI in the abstract 
and the intro.  But, we have not expanded RPKI in the intro, so we 
should make this minor edit.

and no, it's not rPKI :-).

Steve